//========================================================================================
//
//	File:				FWABmpSh.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWBMPSHP_H
#include "FWBmpShp.h"
#endif

#ifdef FW_BUILD_MAC
#pragma segment fwgraphxshape
#endif

//========================================================================================
//	CLASS FW_CBitmapShape
//========================================================================================

const FW_ClassTypeConstant FW_LBitmapShape = FW_TYPE_CONSTANT('b','m','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LBitmapShape, FW_CBitmapShape, FW_CBitmapShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
//	FW_CBitmapShape::Read
//----------------------------------------------------------------------------------------

void* FW_CBitmapShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CBitmapShape* object = FW_NEW(FW_CBitmapShape, (stream));
	return object;
}

