//========================================================================================
//
//	File:				FWAIconS.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWICONSH_H
#include "FWIconSh.h"
#endif

#ifdef FW_BUILD_MAC
#pragma segment FWGraphx_IconShape
#endif

//========================================================================================
//	class FW_CIconShape
//========================================================================================

const FW_ClassTypeConstant FW_LIconShape = FW_TYPE_CONSTANT('i','c','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LIconShape, FW_CIconShape, FW_CIconShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
//	FW_CIconShape::Read
//----------------------------------------------------------------------------------------

void* FW_CIconShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	return FW_NEW(FW_CIconShape, (stream));
}

