//========================================================================================
//
//	File:				FWARRcSh.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWRRCSHP_H
#include "FWRRcShp.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment FWGraphics_RoundRectShape
#endif

//========================================================================================
//	class FW_CRoundRectShape
//========================================================================================

const FW_ClassTypeConstant FW_LRoundRectShape = FW_TYPE_CONSTANT('r','r','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LRoundRectShape, FW_CRoundRectShape, FW_CRoundRectShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
//	FW_CRoundRectShape::Read
//----------------------------------------------------------------------------------------

void* FW_CRoundRectShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	return FW_NEW(FW_CRoundRectShape, (stream));
}

