//========================================================================================
//
//	File:				FWARecSh.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWRECSHP_H
#include "FWRecShp.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment FWGraphics_RectShape
#endif

//========================================================================================
//	class FW_CRectShape
//========================================================================================

const FW_ClassTypeConstant FW_LRectShape = FW_TYPE_CONSTANT('r','c','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LRectShape, FW_CRectShape, FW_CRectShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
//	FW_CRectShape::Read
//----------------------------------------------------------------------------------------

void* FW_CRectShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	return FW_NEW(FW_CRectShape, (stream));
}
