//========================================================================================
//
//	File:				FWARgnSh.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWRGNSHP_H
#include "FWRgnShp.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment FWGraphics_RegionShape
#endif

//========================================================================================
//	class FW_CRegionShape
//========================================================================================

const FW_ClassTypeConstant FW_LRegionShape = FW_TYPE_CONSTANT('r','g','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LRegionShape, FW_CRegionShape, FW_CRegionShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
//	FW_CRegionShape::Read
//----------------------------------------------------------------------------------------

void* FW_CRegionShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	return FW_NEW(FW_CRegionShape, (stream));
}

