//========================================================================================
//
//	File:				FWAShLiS.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWSHLISH_H
#include "FWShLiSh.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment FWGraphics_ShapeListShape
#endif

//========================================================================================
//	class FW_CShapeListShape
//========================================================================================

const FW_ClassTypeConstant FW_LShapeListShape = FW_TYPE_CONSTANT('l','s','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LShapeListShape, FW_CShapeListShape, FW_CShapeListShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
// FW_CShapeListShape::Read
//----------------------------------------------------------------------------------------

void* FW_CShapeListShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CShapeListShape* rep = FW_NEW(FW_CShapeListShape, (stream));
	return rep;
}
