//========================================================================================
//
//	File:				FWATxtBx.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWTXTBOX_H
#include "FWTxtBox.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment FWGraphics_TextBoxShape
#endif

//========================================================================================
//	class FW_CTextBoxShape
//========================================================================================

const FW_ClassTypeConstant FW_LTextBoxShape = FW_TYPE_CONSTANT('t','b','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LTextBoxShape, FW_CTextBoxShape, FW_CTextBoxShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
//	FW_CTextBoxShape::Read
//----------------------------------------------------------------------------------------

void* FW_CTextBoxShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	return FW_NEW(FW_CTextBoxShape, (stream));
}

