//========================================================================================
//
//	File:				FWRPCnst.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWOS.hpp"

#ifndef FWRECT_H
#include "FWRect.h"
#endif

//========================================================================================
//	Runtime Informations
//========================================================================================

#ifdef FW_BUILD_MAC	
#pragma segment fwodmisc_const
#endif

//========================================================================================
// Global Rect and Point
//========================================================================================

const FW_CRect		FW_kZeroRect = FW_CRect();		// Default constructor initilializes to 0
const FW_CPoint		FW_kZeroPoint = FW_CPoint();

//========================================================================================
// Global fixed point numbersx
//========================================================================================

const FW_Fixed FW_kFixed0			= {	FW_PrivIntToFixed(0)					};
const FW_Fixed FW_kFixedPos1		= {	FW_PrivIntToFixed(1)					};
const FW_Fixed FW_kFixedNeg1		= {	FW_PrivIntToFixed(-1)					};
const FW_Fixed FW_kFixed72			= {	FW_PrivIntToFixed(72)					};
const FW_Fixed FW_kFixedPI			= {	FW_PrivDoubleToFixed(3.1415926536)		};

const FW_Wide FW_kWide0 			= { 0, 0 };
const FW_Wide FW_kWidePos1 			= { 1, 0 };
const FW_Wide FW_kWideNeg1 			= { -1, 0 };
const FW_Wide FW_kWide72 			= { 72, 0 };
const FW_Wide FW_kWidePI 			= { 3, 0x243F6A89 };

