//========================================================================================
//
//	File:				FWSUSink.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWOS.hpp"

#ifndef FWSUSINK_H
#include "FWSUSink.h"
#endif

#if defined(__MWERKS__) && GENERATING68K
// A hack to work around a bug
#pragma import list somNewObjectInstance
#endif

//========================================================================================
//	Runtime Informations
//========================================================================================

#ifdef FW_BUILD_MAC	
#pragma segment fwodmisc
#endif

//========================================================================================
//	RunTime Info
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment fwodmisc
#endif

//========================================================================================
//	CLASS FW_PStorageUnitSink
//========================================================================================


//----------------------------------------------------------------------------------------
//	FW_PStorageUnitSink::FW_PStorageUnitSink
//----------------------------------------------------------------------------------------
FW_PStorageUnitSink::FW_PStorageUnitSink(Environment* ev, FW_OStorageUnitSink* theStorageUnitSink) :
	FW_PRandomAccessSink(ev, theStorageUnitSink)
{
}

//----------------------------------------------------------------------------------------
//	FW_PStorageUnitSink::FW_PStorageUnitSink
//----------------------------------------------------------------------------------------
FW_PStorageUnitSink::FW_PStorageUnitSink(Environment* ev, ODStorageUnitView* storageUnitView) :
	FW_PRandomAccessSink(ev, new FW_OStorageUnitSink())
{
	((FW_OStorageUnitSink*)GetRep())->InitFromStorageUnitView(ev, storageUnitView);
}

//----------------------------------------------------------------------------------------
//	FW_PStorageUnitSink::FW_PStorageUnitSink
//----------------------------------------------------------------------------------------
FW_PStorageUnitSink::FW_PStorageUnitSink(Environment* ev, 
										 ODStorageUnit* storageUnit, 
										 ODPropertyName propertyName, 
										 ODValueType valueType) :
	FW_PRandomAccessSink(ev, new FW_OStorageUnitSink())
{
	((FW_OStorageUnitSink*)GetRep())->InitFromStorageUnitAndProperty(ev, storageUnit, propertyName, valueType);
}

//----------------------------------------------------------------------------------------
//	FW_PStorageUnitSink::~FW_PStorageUnitSink
//----------------------------------------------------------------------------------------
FW_PStorageUnitSink::~FW_PStorageUnitSink()
{
}
