//========================================================================================
//
//	File:				SLMixOS.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SLMIXOS_H
#define SLMIXOS_H

// ----- Macintosh Includes -----

#if defined(FW_BUILD_MAC) && !defined(__QUICKDRAW__)
#include <QuickDraw.h>
#endif

// ----- Windows Includes -----

#if defined(FW_BUILD_WIN) && !defined(_INC_WINDOWS)
#include <windows.h>
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

struct FW_SRect;

//========================================================================================
//	Utilities
//========================================================================================

// For CFM-68K [sfu]

#if defined(FW_ODFLIB_IMPORT)
#pragma import on
#elif defined(FW_ODFLIB)
#pragma export on
#endif

FW_EXTERN_C_BEGIN

//----------------------------------------------------------------------------------------
//	Public API
//
FW_PlatformError SL_API	FW_CenterRectOnScreen(FW_SRect& aRect, 
										FW_Boolean horizontally, 
										FW_Boolean vertically, 
										FW_Boolean forDialog);
FW_PlatformError SL_API FW_GetMainScreenBounds(FW_SRect& bounds);
void SL_API 			FW_Beep();
unsigned long SL_API	FW_GetTickCount();

FW_EXTERN_C_END

// For CFM-68K [sfu]

#if defined(FW_ODFLIB_IMPORT)
#pragma import off
#elif defined(FW_ODFLIB)
#pragma export off
#endif


#endif