//========================================================================================
//
//	File:				SLGrDef.h
///	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SLGRDEF_H
#define SLGRDEF_H

#ifndef FWSTDDEF_H
#include "FWStdDef.h"
#endif

// ----- OpenDoc Includes -----

#if !defined(_QDFIX_) && defined(FW_BUILD_MAC)
#include <QDFixM.h>
#endif

// ----- Platform Includes -----

#if !defined(__TYPES__) && defined(FW_BUILD_MAC)
#include <Types.h>
#endif

#if !defined(__LOWMEM__) && defined(FW_BUILD_MAC)
#include <LowMem.h>
#endif

#if !defined(__QUICKDRAW__) && defined(FW_BUILD_MAC)
#include <Quickdraw.h>
#endif

#if defined(FW_BUILD_WIN) && !defined(_INC_WINDOWS)
#include <windows.h>
#endif

#if defined(FW_BUILD_MAC) && !defined(__QDOFFSCREEN__)
#include <QDOffScreen.h>
#endif

#ifdef FW_BUILD_MAC
typedef	PicHandle				FW_PlatformPict;
typedef	GWorldPtr				FW_PlatformBitmap;
typedef	Handle					FW_PlatformIcon;		// Icon suite
#endif

#ifdef FW_BUILD_WIN
typedef	HENHMETAFILE			FW_PlatformPict;
typedef	HBITMAP					FW_PlatformBitmap;
typedef	HICON					FW_PlatformIcon;

typedef BITMAPINFO*				FW_WinDIB;
typedef char* 					FW_WinPixelBufferPtr;

#endif

//========================================================================================
// Types
//========================================================================================

#ifdef FW_BUILD_MAC
typedef FontInfo		FW_PlatformFontMetrics;
#endif
#ifdef FW_BUILD_WIN
typedef TEXTMETRIC		FW_PlatformFontMetrics;
#endif

#endif // SLGRDEF_H

