//========================================================================================
//
//	File:				FWAArcSh.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWARCSHP_H
#include "FWArcShp.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment fwgraphxshape
#endif

//========================================================================================
//	class FW_CArcShape
//========================================================================================

const FW_ClassTypeConstant FW_LArcShape = FW_TYPE_CONSTANT('a','r','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LArcShape, FW_CArcShape, FW_CArcShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
//	FW_CArcShape::Read
//----------------------------------------------------------------------------------------

void* FW_CArcShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	return FW_NEW(FW_CArcShape, (stream));
}


