//========================================================================================
//
//	File:				FWALinSh.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWLINSHP_H
#include "FWLinShp.h"
#endif

#ifdef FW_BUILD_MAC
#pragma segment FWGraphics_LineShape
#endif

//========================================================================================
//	class FW_CLineShape
//========================================================================================

const FW_ClassTypeConstant FW_LLineShape = FW_TYPE_CONSTANT('l','i','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LLineShape, FW_CLineShape, FW_CLineShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
//	FW_CLineShape::Read
//----------------------------------------------------------------------------------------

void* FW_CLineShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	return FW_NEW(FW_CLineShape, (stream));
}

