//========================================================================================
//
//	File:				FWAOvlSh.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWOVLSHP_H
#include "FWOvlShp.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment FWGraphics_OvalShape
#endif

//========================================================================================
//	class FW_COvalShape
//========================================================================================

const FW_ClassTypeConstant FW_LOvalShape = FW_TYPE_CONSTANT('o','v','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LOvalShape, FW_COvalShape, FW_COvalShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
//	FW_COvalShape::Read
//----------------------------------------------------------------------------------------

void* FW_COvalShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	return FW_NEW(FW_COvalShape, (stream));
}
