//========================================================================================
//
//	File:				FWAPicSh.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWPICSHP_H
#include "FWPicShp.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment FWGraphics_PictureShape
#endif

//========================================================================================
//	class FW_CPictureShape
//========================================================================================

const FW_ClassTypeConstant FW_LPictureShape = FW_TYPE_CONSTANT('p','c','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LPictureShape, FW_CPictureShape, FW_CPictureShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
//	FW_CPictureShape::Read
//----------------------------------------------------------------------------------------

void* FW_CPictureShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	return FW_NEW(FW_CPictureShape, (stream));
}

