//========================================================================================
//
//	File:				FWAPolyS.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWPOLYSH_H
#include "FWPolySh.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment FWGraphx_PolygonShape
#endif

//========================================================================================
//	class FW_CPolygonShape
//========================================================================================

const FW_ClassTypeConstant FW_LPolygonShape = FW_TYPE_CONSTANT('p','o','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LPolygonShape, FW_CPolygonShape, FW_CPolygonShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
//	FW_CPolygonShape::Read
//----------------------------------------------------------------------------------------

void* FW_CPolygonShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	return FW_NEW(FW_CPolygonShape, (stream));
}

