//========================================================================================
//
//	File:				FWATxtSh.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWTXTSHP_H
#include "FWTxtShp.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment FWGraphics_BaseTextShape
#endif

//========================================================================================
//	class FW_CTextShape
//========================================================================================

const FW_ClassTypeConstant FW_LTextShape = FW_TYPE_CONSTANT('t','x','s','h');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LTextShape, FW_CTextShape, FW_CTextShape::Read, 0, 0, FW_CShape::Write)

//----------------------------------------------------------------------------------------
//	FW_CTextShape::Read
//----------------------------------------------------------------------------------------

void* FW_CTextShape::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	return FW_NEW(FW_CTextShape, (stream));
}
