//========================================================================================
//
//	File:				FWRegEdt.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWOS.hpp"

#ifndef FWCFMRES_H
#include "FWCFMRes.h"
#endif

#ifdef FW_BUILD_WIN

#include <ole2.h>

#include <Part.xh>
#include <Registry.h>

#endif

#ifdef FW_BUILD_WIN

//----------------------------------------------------------------------------------------
// FW_gPartRegistryResourceID
//----------------------------------------------------------------------------------------

extern short FW_gPartRegistryResourceID;		// Needs to be defined by the part

extern "C"
{
	HRESULT WINAPI ODFRegisterServer();
	HRESULT WINAPI ODFUnregisterServer();
}

//----------------------------------------------------------------------------------------
// ODFRegisterServer
//----------------------------------------------------------------------------------------

HRESULT WINAPI ODFRegisterServer()
{
#ifdef FW_DEBUG
	char szFileName[256] = { 0 };
	::GetModuleFileName(FW_gInstance, szFileName, sizeof szFileName - 1);
#endif

	return
		ODRegisterEditor(FW_gInstance, MAKEINTRESOURCE(FW_gPartRegistryResourceID))
			? NOERROR
			: ResultFromScode(E_FAIL);
}

//----------------------------------------------------------------------------------------
// ODFUnregisterServer
//----------------------------------------------------------------------------------------

HRESULT WINAPI ODFUnregisterServer()
{
	return
		ODUnregisterEditor(FW_gInstance, MAKEINTRESOURCE(FW_gPartRegistryResourceID))
			? NOERROR
			: ResultFromScode(E_FAIL);
}

#endif

