//========================================================================================
//
//  File:				FWResTyp.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESTYP_H
#define FWRESTYP_H

//========================================================================================
// Constants
//========================================================================================

// need names for both long and short resource types in resources

#define WMULTISTRINGRES  257
#define LMULTISTRINGRES 'MSTR'
#define WMULTILONGRES    258
#define LMULTILONGRES   'MLNG'
#define WVIEWRES         259
#define LVIEWRES        'BCLV'
#define WMENURES         260
#define LMENURES        'BCLM'
#define LBITMAPRES      'BMAP'

#ifdef FW_BUILD_MAC
#define MULTISTRINGRES  LMULTISTRINGRES
#define MULTILONGRES    LMULTILONGRES
#define VIEWRES         LVIEWRES
#define MENURES         LMENURES
#endif

#ifdef FW_BUILD_WIN
#define MULTISTRINGRES  WMULTISTRINGRES
#define MULTILONGRES    WMULTILONGRES
#define VIEWRES         WVIEWRES
#define MENURES         WMENURES
#endif

#endif
