//========================================================================================
//
//	File:				PRCursor.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PRCURSOR_H
#define PRCURSOR_H

#ifndef FWCURSOR_K
#include "FWCursor.k"
#endif

//========================================================================================
// Cursor API
//========================================================================================

// Export or Import functions for CFM-68K [sfu]

#if defined(FW_ODFLIB_IMPORT)
#pragma import on
#elif defined(FW_ODFLIB)
#pragma export on
#endif

FW_EXTERN_C_BEGIN

FW_PlatformCursorHandle SL_API FW_PrivLoadCursor(Environment* ev, 
									FW_Instance instance,
									FW_CursorID cursorID, 
									FW_Boolean& isMacColorCursor);
									
FW_EXTERN_C_END

// For CFM-68K [sfu]

#if defined(FW_ODFLIB_IMPORT)
#pragma import off
#elif defined(FW_ODFLIB)
#pragma export off
#endif

#endif
