//========================================================================================
//
//	File:				FWAlert.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWOS.hpp"

#ifndef FWALERT_H
#include "FWAlert.h"
#endif

#ifndef PRALERT_H
#include "PRAlert.h"
#endif

#ifndef FWSTRING_H
#include "FWString.h"
#endif

//========================================================================================
// FW_Alert
//========================================================================================

FW_AlertResult FW_Alert(const FW_CString& documentName,
									const FW_CString& message,
									FW_ButtonType buttonType,
									FW_IconType iconType,
									FW_DefaultButton defaultButton,
									FW_Boolean beep)
{
	FW_SOMEnvironment ev;
	FW_AlertResult result = FW_PrivAlert(ev,
										documentName,
										message,
										buttonType,
										iconType,
										defaultButton,
										beep);
	FW_FailOnEvError(ev);	
	return result;
}
