//========================================================================================
//
//	File:				FWCurCon.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWOS.hpp"

#ifndef FWCURSOR_H
#include "FWCursor.h"
#endif

//========================================================================================
//	Runtime Informations
//========================================================================================

#ifdef FW_BUILD_MAC	
#pragma segment fwtoolbx
#endif

//========================================================================================
// Predefined Cursors
//========================================================================================

const FW_CCursor FW_gArrowCursor(FW_kArrowCursor);
const FW_CCursor FW_gIBeamCursor(FW_kIBeamCursor);
const FW_CCursor FW_gCrossHairCursor(FW_kCrossHairCursor);
const FW_CCursor FW_gWaitCursor(FW_kWaitCursor);
const FW_CCursor FW_gOpenHandCursor(FW_kOpenHandCursor);
const FW_CCursor FW_gClosedHandCursor(FW_kClosedHandCursor);
const FW_CCursor FW_gSizeWECursor(FW_kSizeWECursor);
const FW_CCursor FW_gSizeNSCursor(FW_kSizeNSCursor);
const FW_CCursor FW_gSizeNWSECursor(FW_kSizeNWSECursor);
const FW_CCursor FW_gSizeNESWCursor(FW_kSizeNESWCursor);

